Authentication
5 min
Generating API Keys
- Fill out the "Request API documentation" form linked on Boom's Rent Reporting-as-a-Service page.
- Your request will be reviewed, and you will be emailed and invited to a Sandbox and Production Boom Partner Platform.
- In the Boom Partner Platform, navigate to the "Settings" page from the menu on the bottom left and proceed to the Settings -> API.
- In the API tab, you will be presented with an access key and secret key, which you will need to generate. The model prompt will show you your secret key, which will only be shown to you once. Make sure to save this in a secure place.
- Make sure you have access to Sandbox and Production, and generate keys in both places for your Local and Production environments respectively.
API Authentication
Every API request to Boom servers must include an authentication API token. Token is a JWT token generated with the HS256 algorithm. If you are not familiar with JWT we highly recommend reading more about it here.
Get API token
In order to get an API token you must use the access key and secret key from the portal
curl --location --request POST 'https://api.sandbox.boompay.app/partner/v1/authenticate' \
--header 'Content-Type: application/json' \
--data-raw '{
"access_key": "sample-access-key",
"secret_key": "sample-secret-key"
}'Making requests to Boom API
There 2 ways of setting up authentication. Simplest way is to just pass the API token with a bearer header.
curl --location --request POST 'https://api.sandbox.boompay.app/v1/partners/customers' \
--header 'Authorization: Bearer <API_token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"phone": "12345678910"
}'If enhanced security configuration is enabled, JWT verification secret will be surfaced in the "Developers" page and you will have to pass an additional header X-Access-Token with an access_key value in addition to API token. In order to enable enhanced security verification please contact Boom.
curl --location --request POST 'https://api.sandbox.boompay.app/v1/partners/customers'
--header 'Authorization: Bearer <API_token>'
--header 'X-Access-Token: <access_key>'
--header 'Content-Type: application/json'
--data-raw '{
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"phone": "12345678910"
}'